de.caff.generics.function

## Interface FloatFunction2<T>

- Type Parameters:
    `T` - output type
  All Superinterfaces:
    java.util.function.BiFunction<java.lang.Float,java.lang.Float,T>, java.util.function.Function<ITuple2<? extends java.lang.Float,? extends java.lang.Float>,T>, Function1<T,ITuple2<? extends java.lang.Float,? extends java.lang.Float>>, Function2<T,java.lang.Float,java.lang.Float>
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface FloatFunction2<T>
      extends Function2<T,java.lang.Float,java.lang.Float>

  Function which has two primitive floats as input, and an object as output.
  Since:
    October 19, 2021
  Author:
    Rammi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default T` | `apply(java.lang.Float v1, java.lang.Float v2)` Default implementation.
    `T` | `applyAsFloat(float ch1, float ch2)` Convert two floats into something else.

    - ### Methods inherited from interface de.caff.generics.function.Function2

      `after1, after2, after3, after5, after6, after7, after8, after9, andThen, apply, applyOrDefault, from, nonFragile, nonFragile, nonFragileX, partial1, partial2, partialLeft, partialRight`

    - ### Methods inherited from interface de.caff.generics.function.Function1

      `after, applyNonNull, applyOrDefault, fallback, fallback, from, from, nonFragile, nonFragile, nonFragileX, partial, withFallback`

    - ### Methods inherited from interface java.util.function.Function

      `compose, identity`

- - ### Method Detail

    - #### applyAsFloat

          T applyAsFloat(float ch1,
                         float ch2)

      Convert two floats into something else.
      Parameters:
        `ch1` - first float
        `ch2` - second float
      Returns:
        converted float

    - #### apply

          default T apply(java.lang.Float v1,
                          java.lang.Float v2)

      Default implementation. This uses `applyAsFloat(float, float)`.
      Specified by:
        `apply` in interface `java.util.function.BiFunction<java.lang.Float,java.lang.Float,T>`
      Parameters:
        `v1` - first argument
        `v2` - second argument
      Returns:
        result value
      Throws:
        `java.lang.NullPointerException` - if either argument is `null`